Subject: Re: [bug#51775] Rebased wip-pinebook-pro branch

From: Vagrant Cascadian <[email-masked]>
Date: Wed, 17 Nov 2021 08:53:25 -0800

On 2021-11-17, [email-masked] wrote:
> On Wednesday, November 17th, 2021 at 12:22 AM, Vagrant Cascadian <[email-masked]> wrote:
>> On 2021-11-16, Efraim Flashner wrote:
>> > On Thu, Nov 11, 2021 at 09:30:09PM -0800, Vagrant Cascadian wrote:
>> > > What guix master branch does lack is decent documentation for the
>> > > pinebook-pro; there is a system image configuration but I have not tried
>> > > it out so cannot speak to how well it works.
>
> I've used the system image configuration the build image for my Pinebook Pro. 
>
> It works, though I experience issue when I reboot the system the
> output on the screen is just some garbage. It has to be turned off
> completely. Then after cold boot it displays everything properly.
>
> So I started to investigate which patch I'm missing and found this
> wip-pinebook-pro branch.

I also experienced that behavior using wip-pinebook-pro back in the
day... so I don't think you'll find a solution there.

> So the way forward would be to check with mainline which patches are
> already accepted, right?
>
> Also I agree it makes no sense to support 5.10 version of the kernel. 

Sure, though I don't see any newer branches on:

  https://gitlab.manjaro.org/tsys/linux-pinebook-pro

Which is where the patches on wip-pinebook-pro came from...

So my guess is there hasn't been much activity unless someone else is
doing the upstreaming work.

live well,
  vagrant

p.s. no need to encrypt messages to me when also sending the same
messages to the public bug tracker! :)